= form_for [@project, @sending_providers_project] do |f|
  - if @sending_providers_project.errors.any?
    #error_explanation
      %h2= "#{pluralize(@sending_providers_project.errors.count, "error")} prohibited this sending_providers_project from being saved:"
      %ul
        - @sending_providers_project.errors.full_messages.each do |message|
          %li= message
  %div{style: "margin: 20px"}
    .custom-control.custom-checkbox{style: "margin-bottom: 20px"}
      = f.check_box :set_default, {checked: @project.has_as_default?(@sending_providers_project), class: "custom-control-input", id: "switch"}
      %label.custom-control-label.secure_font{for: "switch"}
        Is current project default? (can only be one!)

    .row
      = f.fields_for :provider_key_values, @sending_providers_project.new_values_for_keys do |nf|
        - attr_key = nf.object.sending_provider_key
        .col-md-3{"data-toggle":"tooltip", "data-placement":"top", "title":"For maximum security, this data is encrypted before it's stored in our DB"}
          %h4.secure_font
            = attr_key.key_name
            %i.material-icons security

          .field
            = nf.text_area :value, style: "width: 100%; height: 250px"
            = nf.object.new_record? ? nf.hidden_field(:sending_provider_key_id) : nil

    .actions
      = f.submit 'Save', class: "btn basic"
